Package org.eclipse.jdt.debug.core

## Interface IJavaFieldVariable

All Superinterfaces:
  `IAdaptable`, `IDebugElement`, `IJavaModifiers`, `IJavaVariable`, `IValueModification`, `IVariable`

    public interface IJavaFieldVariable
    extends IJavaVariable

A variable that contains the value of an instance or class variable.

Since:
  2.0
See Also:
  `IVariable`
Restriction:
  This interface is not intended to be implemented by clients.
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`IJavaType` `getDeclaringType()` Returns the type that declares this variable.
`IJavaObject` `getReceiver()` Returns the object that contains this field variable, or `null` if no object contains this field variable (static field variable).
`IJavaReferenceType` `getReceivingType()` Returns the type that contains this field variable.
`boolean` `isTransient()` Returns whether this variable is declared as transient.
`boolean` `isVolatile()` Returns whether this variable is declared as volatile.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.debug.core.model.IDebugElement

`getDebugTarget, getLaunch, getModelIdentifier`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaModifiers

`isFinal, isPackagePrivate, isPrivate, isProtected, isPublic, isStatic, isSynthetic`

### Methods inherited from interface org.eclipse.jdt.debug.core.IJavaVariable

`getGenericSignature, getJavaType, getSignature, isLocal`

### Methods inherited from interface org.eclipse.debug.core.model.IValueModification

`setValue, setValue, supportsValueModification, verifyValue, verifyValue`

### Methods inherited from interface org.eclipse.debug.core.model.IVariable

`getName, getReferenceTypeName, getValue, hasValueChanged`

### Method Detail

#### isTransient

    boolean isTransient()
                 throws DebugException

Returns whether this variable is declared as transient.

Returns:
  whether this variable has been declared as transient
Throws:
  `DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

#### isVolatile

    boolean isVolatile()
                throws DebugException

Returns whether this variable is declared as volatile.

Returns:
  whether this variable has been declared as volatile
Throws:
  `DebugException` - if this method fails. Reasons include:
  - Failure communicating with the VM. The DebugException's status code contains the underlying exception responsible for the failure.

#### getDeclaringType

    IJavaType getDeclaringType()

Returns the type that declares this variable.

Returns:
  the type that declares this variable

#### getReceiver

    IJavaObject getReceiver()

Returns the object that contains this field variable, or `null` if no object contains this field variable (static field variable).

Returns:
  the object that contains this field variable
Since:
  3.0

#### getReceivingType

    IJavaReferenceType getReceivingType()

Returns the type that contains this field variable.

Returns:
  the type that contains this field variable
Since:
  3.0